package io.renren.demo;

import com.alibaba.fastjson.JSON;

import io.renren.common.utils.DateUtils;
import io.renren.common.utils.HttpClientUtil;
import io.renren.vo.AcctInfoQueryParams;

/**
 * 账户信息查询 Demo  interior
 */
public class QueryAcctinfoDemo {
    public static void main(String[] args) {
    	AcctInfoQueryParams params = new AcctInfoQueryParams();
        params.setTimestamp(DateUtils.getTimestamp());
        params.setOid_partner(Constant.OidPartner);
        params.setUser_id("LLianPayTest-In-User-001");
        params.setUser_type("INNERUSER");//INNERMERCHANT:商户 INNERUSER：个人用户 INNERCOMPANY：企业用户
//        params.setUser_id("LLianPayTest-In-User-12345");
//        params.setUser_type("INNERUSER");//INNERMERCHANT:商户 INNERUSER：个人用户 INNERCOMPANY：企业用户
		/*params.setUser_id("LLianPayTest-En-User-123");
		params.setUser_type("INNERCOMPANY");//INNERMERCHANT:商户 INNERUSER：个人用户 INNERCOMPANY：企业用户
		*/
        // 测试环境URL
        String url = "https://accpapi-ste.lianlianpay-inc.com/v1/acctmgr/query-acctinfo";
        String resultJsonStr = HttpClientUtil.sendRequest(url, JSON.toJSONString(params),Constant.MerchantPrivateKey,Constant.LLianPayPublicKey);
        System.out.println(resultJsonStr);
    }
}
